<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Reticula extends Model
{
    protected $table = "ins_reticula";
    protected $primaryKey = 'cve_rec';
    protected $fillable = ['claveRet_rec', 'nombre_rec', 'cve_planest', 'status_rec'];

    public function semestre()
    {
        return $this->hasOne('App\Semestre', 'cve_sem', 'cve_sem');
    }
    public function planEstudio()
    {
        return $this->hasOne('App\Planestudios', 'cve_planest', 'cve_planest');
    }
}
